# Set student mentor creation permission Enable or disable the ability for students to create mentors on a platform Endpoint: POST /api/core/rbac/student-mentor-creation/set/ Version: 4.84.1-ai-plus Security: PlatformApiKeyAuthentication ## Request fields (application/json): - `platform_key` (string, required) The platform key where the permission should be changed - `allow_students_to_create_mentors` (boolean, required) Whether to allow students to create mentors (true) or not (false) ## Response 200 fields (application/json): - `allow_students_to_create_mentors` (boolean, required) Whether students can create mentors on this platform - `platform_key` (string, required) The platform key - `message` (string) Success message (only in set permission response) ## Response 400 fields ## Response 403 fields ## Response 404 fields